> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Step Schema

> Get the step schema for a given action/protocol/strategy.



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/transactions/schema
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/transactions/schema:
    get:
      tags:
        - Transactions
      summary: Get Transaction Step Schema
      description: Get the step schema for a given action/protocol/strategy.
      operationId: get_transaction_schema
      parameters:
        - name: action
          in: query
          required: true
          schema:
            type: string
          example: deposit
        - name: chain
          in: query
          required: true
          schema:
            type: string
          example: base
        - name: protocol
          in: query
          required: true
          schema:
            type: string
          example: morpho
        - name: strategy
          in: query
          required: true
          schema:
            type: string
          example: Steakhouse USDC
      responses:
        '200':
          description: Step schema.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      action:
                        type: string
                      steps:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                            name:
                              type: string
                            description:
                              type: string
                            inputs:
                              type: array
                              items:
                                type: object
                            outputs:
                              type: array
                              items:
                                type: object
                            groupId:
                              type: integer
                            canExecuteInParallel:
                              type: boolean
                            isUnsignedTransaction:
                              type: boolean
                      stepGroups:
                        type: array
                        items:
                          type: array
                          items:
                            type: integer
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: ValidationException | InvalidActionException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >-
            AssetNotSupportedException | StrategyNotSupportedException |
            ProtocolNotSupportedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: NotImplementedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Deposit](/docs/morpho-staking.md)
- [Withdrawal](/docs/morpho-withdrawal.md)
- [Getting Started](/docs/defi-api-getting-started.md)
- [Sign and Broadcast Transaction](/docs/defi-api-signing-transaction.md)
- [Get Step Result](/reference/get-step-result.md)
